## org.eclipse.m2m.atl.engine.vm
Class AtlSuperimposeModule.AtlSuperimposeModuleException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.m2m.atl.engine.vm.AtlSuperimposeModule.AtlSuperimposeModuleException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  AtlSuperimposeModule

    public class AtlSuperimposeModule.AtlSuperimposeModuleException

extends java.lang.Exception

General exception for applying ATL module superimposition. Used in ASM adaptation sanity check.

See Also:
  Serialized Form

Constructor Summary
`AtlSuperimposeModule.AtlSuperimposeModuleException(java.lang.String msg)` Creates a new AtlSuperimposeModuleException.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AtlSuperimposeModule.AtlSuperimposeModuleException

    public AtlSuperimposeModule.AtlSuperimposeModuleException(java.lang.String msg)

  Creates a new AtlSuperimposeModuleException.

  Parameters:
    `msg` - Exception message

Copyright 2007 IBM Corporation and others. All Rights Reserved.